gh(1)

NAME

gh-auth-refresh - Refresh stored authentication credentials

SYNOPSIS

gh auth refresh [flags]

DESCRIPTION

Expand or fix the permission scopes for stored credentials

The --scopes flag accepts a comma separated list of scopes you want your gh credentials to have. If absent, this command ensures that gh has access to a minimum set of scopes.

OPTIONS

-h, --hostname=""
    The GitHub host to use for authentication

-s, --scopes=[]
    Additional authentication scopes for gh to have

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

EXAMPLE

    $ gh auth refresh --scopes write:org,read:public_key
    # => open a browser to add write:org and read:public_key scopes for use with gh api
    $ gh auth refresh
    # => open a browser to ensure your authentication credentials have the correct minimum scopes

SEE ALSO

gh-auth(1)